libdebian-installer (0.120ubuntu3) hirsute; urgency=medium

  * Allow to build without udeb packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Feb 2021 21:54:44 +0100

libdebian-installer (0.120ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:34:26 +0100

libdebian-installer (0.120ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. (LP: #1688246) Remaining changes:
    - Add more OMAP4 Panda support.
    - Add OMAP4 Blaze support.
    - Add Freescale "P4080 DS" and "QEMU e500" support.
    - src/tree.c: Silence GCC's implicit-fallthrough warning by being explicit
    in this binary tree rotate code that there's not fallthrough; we're
    covering all tree rotation cases already (all paths in switch() already
    return().

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 02 Nov 2020 11:56:33 +0000

libdebian-installer (0.120) unstable; urgency=medium

  * Team upload.

  [ Karsten Merker ]
  * Add subarch detection for riscv64.

 -- Karsten Merker <merker@debian.org>  Wed, 14 Aug 2019 20:49:28 +0200

libdebian-installer (0.119) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Drop support for arm*/ixp4xx and arm*/iop32x; support for those
    platforms was removed from the Linux kernel and therefore d-i.
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927544)

  [ Bastian Blank ]
  * Enlarge maximum line length in Packages and Sources files.
    (closes: #554444)

 -- Bastian Blank <waldi@debian.org>  Tue, 07 May 2019 13:17:47 +0200

libdebian-installer (0.118) unstable; urgency=medium

  * Make all arm32 machines with EFI show up as subarch efi

 -- Steve McIntyre <93sam@debian.org>  Sat, 09 Feb 2019 19:04:11 +0000

libdebian-installer (0.117) unstable; urgency=medium

  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 23 Dec 2018 17:38:42 +0100

libdebian-installer (0.116) unstable; urgency=medium

  [ Michael Karcher ]
  * subarch-sparc-linux.c: Fix return value of di_system_subarch_analyze

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Apr 2018 07:47:18 +0200

libdebian-installer (0.115) unstable; urgency=medium

  * Team upload.

  [ Manuel A. Fernandez Montecelo ]
  * Support "nodoc" in DEB_BUILD_PROFILES and DEB_BUILD_OPTIONS
    (Closes: #892935)

 -- Karsten Merker <merker@debian.org>  Fri, 16 Mar 2018 18:39:58 +0100

libdebian-installer (0.114) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * subarch-sparc-linux.c:
    - Add support for detecting actual sun4 sub-architecture
    - Add support for detecting supported partition tables
  * Use subarch-sparc-linux.c for sparc64 as well.

 -- Christian Perrier <bubulle@debian.org>  Mon, 19 Feb 2018 07:19:16 +0100

libdebian-installer (0.113) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Do not compile with -Werror by default.  Closes: #885712.

 -- Karsten Merker <merker@debian.org>  Tue, 02 Jan 2018 22:28:29 +0100

libdebian-installer (0.112) unstable; urgency=medium

  [ Reiner Herrmann ]
  * src/exec.c: Include poll.h instead of sys/poll.h.  Closes: #861598.

  [ Helmut Grohne ]
  * Fix FTBFS with gcc-8: Mark di_parser_fieldinfo constants extern.
    Closes: #881932.

  [ Aurelien Jarno ]
  * src/system/devfs.c: include <sys/sysmacros.h> instead of <sys/types.h>.
    Closes: #882089.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Nov 2017 18:12:25 +0100

libdebian-installer (0.111) unstable; urgency=medium

  [ Aurelien Jarno ]
  * subarch-mips-linux.c: Add support for checking the "isa" field.
    Fallback checking for the "isa" field for unknown CPUs. Closes:
    #865425.
    Drop unsupported subarchitectures.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 Jun 2017 18:42:05 +0200

libdebian-installer (0.110ubuntu4) groovy; urgency=medium

  * Fix FTBFS with GCC-10: Mark di_parser_fieldinfo constants extern. GCC-10
    changed the default from -fcommon to -fno-common which makes the gcc code
    generator to emit globals without explicit initializers from .bss to .data.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 03 Aug 2020 15:34:56 -0300

libdebian-installer (0.110ubuntu3) cosmic; urgency=medium

  * src/tree.c: Silence GCC's implicit-fallthrough warning by being explicit
    in this binary tree rotate code that there's not fallthrough; we're
    covering all tree rotation cases already (all paths in switch() already
    return().

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 04 Oct 2018 14:29:03 -0400

libdebian-installer (0.110ubuntu2) bionic; urgency=medium

  * src/system/devfs.c: Include sys/sysmacros.h to fix FTBFS caused by
    major/minor definition errors

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 20 Apr 2018 15:23:06 +0200

libdebian-installer (0.110ubuntu1) artful; urgency=low

  * Merge from Debian unstable. (LP: #1688246) Remaining changes:
    - Add more OMAP4 Panda support.
    - Add OMAP4 Blaze support.
    - Add Freescale "P4080 DS" and "QEMU e500" support.
    - Point to Bazaar packaging repository on Launchpad

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 18 May 2017 16:16:36 -0400

libdebian-installer (0.110) unstable; urgency=medium

  [ Martin Michlmayr ]
  * subarch-arm-linux.c: Add NETGEAR ReadyNAS Duo v2.  Closes: #855965

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Mar 2017 11:59:18 +0100

libdebian-installer (0.109) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix build with gcc-7. Closes: #853489

  [ Steven Chamberlain ]
  * Parse SHA256 fields in Packages files.  (closes: #856210)
  * Parse SHA256 fields in Release files.

  [ Bastian Blank ]
  * Update versions for changed symbols.
    - Add Breaks on cdebootstrap.

 -- Bastian Blank <waldi@debian.org>  Sun, 05 Mar 2017 11:02:27 +0000

libdebian-installer (0.108) unstable; urgency=medium

  [ Helmut Grohne ]
  * Make Build-Depends: check optional via <!nocheck> profile.
    Closes: #787044.

 -- Christian Perrier <bubulle@debian.org>  Tue, 30 Aug 2016 06:45:17 +0200

libdebian-installer (0.107) unstable; urgency=medium

  [ Steve McIntyre ]
  * armel/armhf: Fix missing efi include FTBFS

 -- Christian Perrier <bubulle@debian.org>  Mon, 20 Jun 2016 08:21:12 +0200

libdebian-installer (0.106) unstable; urgency=medium

  [ Steve McIntyre ]
  * armhf: Add EFI detection.

  [ Mathieu Trudel-Lapierre ]
  * validate the presence of efivars *or* vars under /sys/firmware/efi to
    decide whether we should show the system as running in EFI mode;
    either of these paths is required for efibootmgr to set a BootEntry at
    the end of installation. Closes: #826665

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Jun 2016 09:06:30 +0200

libdebian-installer (0.105) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add mips64el support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 May 2016 15:21:37 +0200

libdebian-installer (0.104) unstable; urgency=medium

  [ Roger Shimizu ]
  * armel: Add various orion5x/kirkwood based Buffalo Linkstation devices
    supported by device-tree

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Feb 2016 07:05:06 +0100

libdebian-installer (0.103) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Feb 2016 15:17:19 +0100

libdebian-installer (0.102ubuntu3) yakkety; urgency=medium

  * src/system/efi.c: fix my blunder; we still need to have ret declared as an
    int since we need it for the ignore_uefi check. Derp.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 07 Jun 2016 13:24:57 -0400

libdebian-installer (0.102ubuntu2) yakkety; urgency=medium

  * src/system/efi.c: validate the presence of efivars *or* vars under
    /sys/firmware/efi to decide whether we should show the system as running
    in EFI mode; either of these paths is required for efibootmgr to set a
    BootEntry at the end of installation.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 03 Jun 2016 21:24:31 -0400

libdebian-installer (0.102ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Add more OMAP4 Panda support.
    - Add OMAP4 Blaze support.
    - Add Freescale "P4080 DS" and "QEMU e500" support.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 23 Dec 2015 19:42:11 -0500

libdebian-installer (0.102) unstable; urgency=medium

  [ Karsten Merker ]
  * armel: Add kirkwood mapping for the Iomega Iconnect dtb.

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Nov 2015 07:21:51 +0100

libdebian-installer (0.101) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Add device tree variants for supported armel/kirkwood devices.
    (Closes: #787563)

 -- Cyril Brulebois <kibi@debian.org>  Wed, 03 Jun 2015 00:55:08 +0200

libdebian-installer (0.100) unstable; urgency=medium

  [ Philipp Kern ]
  * Run unit tests during build.
  * Add a simple unit test to test libdebian-installer's exec functionality.

  [ Christian Perrier ]
  * Update Standards to 3.9.6 (checked)

 -- Christian Perrier <bubulle@debian.org>  Mon, 25 May 2015 07:59:28 +0200

libdebian-installer (0.99ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Add Dove SoC subarchitecture.
    - Add more OMAP4 Panda support.
    - Add OMAP4 Blaze support.
    - Add ArmadaXP support.
    - Add Calxeda Highbank support.
    - Add Freescale "P4080 DS" and "QEMU e500" support.
    - Add Calxeda ECX-2000 support. (LP: #1196946)
    - Add support for EXYNOS5440-based platforms (LP: #1231251)
    - Add support for the WandBoard quad.
    - Add support for keystone subarch
    - Add support for HP ProLiant m800 Server Cartridge (keystone)
  * The "generic" subarch is now returned for all unknown flavors,
    so drop explicit matching for generic subarch hardware.
  * Switch the Armada XP, EXYNOS5 and KeyStone2 to the "generic" subarch.
    These platforms required special flavor kernel builds in previous
    Ubuntu releases that are no longer provided.
  * Drop support for Marvell DB-MV88F6781-BP Development Board. We
    no longer support the "dove" subarch (Ref: partman-auto changelog).

 -- dann frazier <dannf@ubuntu.com>  Fri, 30 Jan 2015 16:12:58 -0700

libdebian-installer (0.99) unstable; urgency=medium

  * Replace NULL terminator for the arm map_hardware table, accidentally
    dropped in 0.92 (Closes: #776488).

 -- dann frazier <dannf@debian.org>  Wed, 28 Jan 2015 10:51:22 -0700

libdebian-installer (0.98) unstable; urgency=low

  [ Steve McIntyre ]
  * Recognise the new ignore_uefi flag from partman-efi.
  * Add myself to uploaders.

 -- Steve McIntyre <93sam@debian.org>  Tue, 25 Nov 2014 17:32:51 +0000

libdebian-installer (0.97) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Do not write timesamps in Doxygen generated documentation for
    reproducibility of the build process (Closes: #762732).

 -- Christian Perrier <bubulle@debian.org>  Thu, 25 Sep 2014 06:39:10 +0200

libdebian-installer (0.96) unstable; urgency=medium

  * arm64: Detect UEFI based systems as "efi" subarch.

 -- Ian Campbell <ijc@debian.org>  Thu, 04 Sep 2014 21:19:26 +0100

libdebian-installer (0.95) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add ppc64 and ppc64el support, based on a patch from
    Frederic Bonnard.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Aug 2014 23:25:04 +0200

libdebian-installer (0.94) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Group Loongson 3A and 3B in the same loongson-3 subarchitecture.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Jul 2014 16:35:02 +0200

libdebian-installer (0.93) unstable; urgency=medium

  [ Colin Watson ]
  * Policy version 3.9.5: no changes required.
  * Upgrade doxygen configuration file using "doxygen -u", suppressing
    several build warnings.

  [ Ian Campbell ]
  * Add support for the Buffalo Linkstation LS-XHL. (Closes: #740787)

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 12:33:35 +0100

libdebian-installer (0.92) unstable; urgency=low

  [ Ian Campbell ]
  * armel: Add support for "Buffalo Linkstation LS-CHLv2". (Closes: #735452)
  * armhf/el: Return "generic" subarch for unknown platforms.
  * arm64: Always return "generic" subarch.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Jan 2014 16:21:00 +0000

libdebian-installer (0.91) unstable; urgency=medium

  * mips, mipsel: rewrite subarch-mips-linux.c:
     - Use a regex system instead of a two level lookup to provide more
       flexibility.
     - Use subarch-mips-linux.c for mipsel, as more and more systems are
       bi-endian.
     - Remove non-supported platforms.
     - Add support for Cavium Octeon platforms.
     - Detect more Loongson 2E and 2F machines.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Dec 2013 09:50:51 +0100

libdebian-installer (0.90) unstable; urgency=medium

  * Add support for Loongson 3A platforms.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Dec 2013 20:27:38 +0100

libdebian-installer (0.89) unstable; urgency=low

  * Add support for EXYNOS5440 platforms
  * Add support for Calxeda Highbank and Midway platforms
  * Add support for arm64
  * Add support for virt subarch for arm32/arm64 guests
  * Add support for the ARMv8 foundation model
  * Add support for Applied Micro X-Gene systems

 -- dann frazier <dannf@debian.org>  Mon, 23 Dec 2013 13:43:25 -0700

libdebian-installer (0.88ubuntu6) utopic; urgency=medium

  * subarch-powerpc-linux.c: Pretend "PowerNV" is "chrp_ibm" for now.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 07 Oct 2014 17:46:52 -0600

libdebian-installer (0.88ubuntu5) trusty; urgency=medium

  * Add support for HP ProLiant m800 Server Cartridge (keystone)

 -- Manoj Iyer <manoj.iyer@canonical.com>  Thu, 19 Jun 2014 12:04:30 -0500

libdebian-installer (0.88ubuntu4) trusty; urgency=medium

  * Report the Calxeda ECX-2000 as generic-lpae, not generic, to match
    base-installer which already has a different way to detect LPAE (thanks,
    dann frazier; LP: #1293832).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Mar 2014 13:49:45 +0000

libdebian-installer (0.88ubuntu3) trusty; urgency=medium

  * Build for ppc64el.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jan 2014 13:54:00 +0000

libdebian-installer (0.88ubuntu2) trusty; urgency=low

  * Add support for keystone subarch

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 02 Jan 2014 06:10:22 -0500

libdebian-installer (0.88ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.
    - Add more OMAP4 Panda support.
    - Add OMAP4 Blaze support.
    - Add ArmadaXP support.
    - Add Calxeda Highbank support.
    - Add Freescale "P4080 DS" and "QEMU e500" support.
    - Add Calxedda ECX-2000 support. (LP: #1196946)
    - Add support for EXYNOS5440-based platforms (LP: #1231251)
    - Add support for the WandBoard quad.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 14 Nov 2013 17:12:57 -0500

libdebian-installer (0.88) unstable; urgency=low

  [ Colin Watson ]
  * Drop the nonnull function attribute from di_mem_chunk_new and
    internal_di_mem_chunk_compute_size; it is meaningless on functions none
    of whose parameters are pointers, and clang warns about this.
  * Switch from INCLUDES to AM_CPPFLAGS in Makefile.am files.
  * Restore handling of pipe errors, since this is now a build failure in
    Debian due to -Werror=unused-result.
  * Convert to multiarch.  (libdebian-installer4-dev cannot currently be
    Multi-Arch: same due to differences in doxygen output.)

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Christian Perrier ]
  * Update Standards to 3.9.4 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 13:18:37 +0200

libdebian-installer (0.87ubuntu5) trusty; urgency=low

  * Add support for the WandBoard quad.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 11 Nov 2013 17:04:01 -0500

libdebian-installer (0.87ubuntu4) saucy; urgency=low

  * Add support for EXYNOS5440-based platforms (LP: #1231251)

 -- dann frazier <dann.frazier@canonical.com>  Thu, 03 Oct 2013 13:52:12 +0100

libdebian-installer (0.87ubuntu3) saucy; urgency=low

  * Change the Calxeda ECX-2000 suggested kernel to generic-lpae.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 15:27:10 -0400

libdebian-installer (0.87ubuntu2) saucy; urgency=low

  * Add Calxedda ECX-2000 support. (LP: #1196946)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Aug 2013 23:35:25 +0100

libdebian-installer (0.87ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.
    - Add more OMAP4 Panda support.
    - Add OMAP4 Blaze support.
    - Add ArmadaXP support.
    - Add Calxeda Highbank support.
    - Add Freescale "P4080 DS" and "QEMU e500" support.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 25 May 2013 00:41:12 +0100

libdebian-installer (0.87) unstable; urgency=low

  * Drop autotools-dev dh sequence (autoreconf already does what's needed
    and one should use only one of them anyway), and autotools-dev build-dep.
  * Update the HACKING file: no need for a manual “autoreconf -i -v” when
    building a Debian package. That clutters source diffs, which the
    autoreconf dh sequence aims at keeping clean, be it only for release
    managers' ease of reviewing.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 09 Apr 2013 04:50:44 +0200

libdebian-installer (0.86) unstable; urgency=low

  * Drop support for PGP signed files in RFC822 parser.

 -- Bastian Blank <waldi@debian.org>  Sat, 06 Apr 2013 15:33:36 +0200

libdebian-installer (0.85ubuntu3) raring; urgency=low

  * Switch to using the "generic" kernel flavor for Calxeda Highbank
  * Update hardware map for Highbank to match the model string exposed by 
    /proc/device-tree/model since that takes precedence over /proc/cpuinfo
    (LP: #1166595)

 -- dann frazier <dann.frazier@canonical.com>  Thu, 11 Apr 2013 10:57:19 +0100

libdebian-installer (0.85ubuntu2) raring; urgency=low

  * Add platform detection of "P4080 DS" and "QEMU e500" to produce
    "powerpc/fsl" for result. The "fsl" subarch can be expanded for other
    Freescale platforms. I'll probably add a full list at some point.

 -- Ben Collins <ben.c@servergy.com>  Thu, 17 Jan 2013 14:11:03 -0500

libdebian-installer (0.85ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.
    - Add more OMAP4 Panda support.
    - Add OMAP4 Blaze support.
    - Add ArmadaXP support.
    - Add Calxeda Highbank support.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 25 Nov 2012 15:00:07 +0000

libdebian-installer (0.85) unstable; urgency=low

  * Add support for versatile express platform.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Oct 2012 14:30:32 +0200

libdebian-installer (0.84) unstable; urgency=low

  [ Steve McIntyre ]
  * Add "efi" as a subarch for amd64 and i386

 -- Cyril Brulebois <kibi@debian.org>  Thu, 20 Sep 2012 16:13:10 +0200

libdebian-installer (0.83) unstable; urgency=low

  * Re-upload without files from git checkout.
  * Use dh-autoreconf to avoid huge diffs when automake gets an update:
    - Add dh-autoreconf to Build-Depends.
    - Use the autoreconf dh sequence.
    - Get rid of the configure target accordingly (it was running
      autoreconf, then exiting with error code 1).
  * Simplify the config.{guess,sub} update by using the autotools-dev dh
    sequence.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 12 Aug 2012 21:21:55 +0200

libdebian-installer (0.82) unstable; urgency=low

  [ Ian Campbell ]
  * Support for reading hardware model from Device Tree (armel).
  * Add Dreamplug device (Kirkwood)

  [ Christian Perrier ]
  * Add myself to Uploaders.
  * Replace XC-Package-Type by Package-Type.
  * Update Standards to 3.9.3.

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Aug 2012 22:03:02 +0200

libdebian-installer (0.81) unstable; urgency=low

  [ Simon Guinot ]
  * Add LaCie NAS devices (Kirkwood)  Closes: #670527

  [ Julien Cristau ]
  * parser_rfc822: mmap returns MAP_FAILED on error, not NULL.

  [ Bastian Blank ]
  * Support PGP signed files in RFC822 parser. (closes: #674060)

 -- Bastian Blank <waldi@debian.org>  Fri, 01 Jun 2012 18:50:51 +0200

libdebian-installer (0.80) unstable; urgency=low

  * Detect IBM pSeries platform as powerpc/chrp_ibm.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 02 Jan 2012 23:45:48 +0100

libdebian-installer (0.79ubuntu3) quantal; urgency=low

  * Add support for Calxeda Highbank

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Wed, 16 May 2012 14:41:24 +0100

libdebian-installer (0.79ubuntu2) precise; urgency=low

  * Add support for ArmadaXP (LP: #934451)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Wed, 22 Feb 2012 20:41:10 -0800

libdebian-installer (0.79ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.
    - Add the i386/efi and amd64/efi platforms.
    - Add more OMAP4 Panda support.
    - Add OMAP4 Blaze support.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Oct 2011 22:59:00 +0100

libdebian-installer (0.79) unstable; urgency=low

  [ Hector Oron ]
  * subarch-arm-linux.c: add mx5 flavour (armhf architecture)

  [ Sebastian Reichel ]
  * Add support for Nokia N900
  * Add support for Pandaboard
  * Add support for Beagleboard

  [ Luk Claes ]
  * Do'nt ship .la files (Closes: #621628).

  [ Otavio Salvador ]
  * devfs: linux references the CD device as srX instead of scdX.
    Closes: #635400.

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 27 Jul 2011 23:00:47 +0200

libdebian-installer (0.78ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.
    - Add Beagle OMAP3 support.
    - Add the i386/efi and amd64/efi platforms.
    - Add OMAP4 Panda and Blaze support.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 May 2011 09:04:49 +0100

libdebian-installer (0.78) unstable; urgency=low

  [ Jeremie Koenig ]
  * internal_di_exec(): use feof() instead of preprocessor conditionals
    to handle the os-dependant status returned by poll() on end-of-file
    (closes: #584538).

  [ Martin Michlmayr ]
  * Add support for Buffalo Linkstation LiveV3 (LS-CHL).  Closes: #612168
  * Add support for Buffalo Linkstation Mini (LS-WSGL).

  [ Konstantinos Margaritis ]
  * Add support for the new armhf port and the Genesi EfikaMX Smartbook/
    Smarttop platforms.

  [ Bastian Blank ]
  * Add minimal support for SHA1 checksums in Release file parser.
  * Adopt copyright file to reality.

  [ Colin Watson ]
  * Add a proper copyright/licence statement to subarch-x86-linux.c.

 -- Hector Oron <zumbi@debian.org>  Tue, 22 Mar 2011 12:04:06 +0000

libdebian-installer (0.77ubuntu2) natty; urgency=low

  * Map "OMAP4 Panda board" to armel/omap4 (LP: #744862).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Apr 2011 22:06:11 +0100

libdebian-installer (0.77ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.
    - Add Beagle OMAP3 support.
    - Add the i386/efi and amd64/efi platforms.
    - Add OMAP4 Panda and Blaze support.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jan 2011 18:54:33 +0000

libdebian-installer (0.77) unstable; urgency=low

  [ Milan Kupcevic ]
  * subarch-powerpc-linux.c: Shorten unnecessarily long Efika machine map entry
    to let it match with "Efika 5200B PowerPC System" machine string, too.
  * subarch-powerpc-linux.c: Add support for YDL PowerStation, a CHRP machine
    with IBM Bimini board and SLOF firmware (closes: #603891).

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:25:56 -0200

libdebian-installer (0.76ubuntu2) maverick; urgency=low

  * add support for the OMAP4 Panda Board
  * add support for the OMAP4 Blaze board

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 16 Sep 2010 14:13:02 +0200

libdebian-installer (0.76ubuntu1) maverick; urgency=low

  * Resynchronise with Debian, in order to get Michael's archdetect
    heuristic work for Maverick.  Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.
    - Add Beagle OMAP3 support.
    - Add the i386/efi and amd64/efi platforms.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Sep 2010 17:59:37 +0100

libdebian-installer (0.76) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add the Seagate FreeAgent DockStar.

  [ Michael Casadevall ]
  * Add di_system_subarch_analyze_guess function (stub on architectures
    other than armel) adding a heuristic option that makes it easier to
    bring up new boards.  See
    http://lists.debian.org/debian-boot/2010/08/msg00641.html for rationale.

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Sep 2010 15:02:00 +0100

libdebian-installer (0.75) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for loongson-2e and loongson-2f.

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * When selecting among packages providing a virtual package, consider
    whether any of the choices are already marked for installation.

  [ Jeremie Koenig ]
  * Re-enable doxygen build on hurd-i386.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Aug 2010 21:56:46 +0100

libdebian-installer (0.74) unstable; urgency=low

  * Add support for OpenRD-Ultimate.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 19 Jun 2010 11:00:17 +0100

libdebian-installer (0.73) unstable; urgency=low

  * Add support for the HP t5325 Thin Client

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 13 Jun 2010 20:06:12 +0100

libdebian-installer (0.72) unstable; urgency=low

  * Add support for the eSATA SheevaPlug.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 24 May 2010 14:05:03 +0100

libdebian-installer (0.71) unstable; urgency=low

  * Add support for the GuruPlug.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 24 May 2010 14:02:30 +0100

libdebian-installer (0.70) unstable; urgency=low

  * Add support for SH4 RTS7751R2D and SH7785LCR boards.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 May 2010 12:19:18 +0200

libdebian-installer (0.69ubuntu2) maverick; urgency=low

  * archdetect: Add the i386/efi and amd64/efi platforms.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Jun 2010 18:18:31 +0100

libdebian-installer (0.69ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.
    - Add Beagle OMAP3 support.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 May 2010 15:50:08 +0100

libdebian-installer (0.69) unstable; urgency=low

  [ Frans Pop ]
  * Use XC-Package-Type instead of XB-Package-Type.

  [ Martin Michlmayr ]
  * Add support for QNAP TS-41x.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 03 Nov 2009 18:11:44 +0000

libdebian-installer (0.68ubuntu3) lucid; urgency=low

  * Reupload with the right autotools bits.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Apr 2010 13:00:20 +0100

libdebian-installer (0.68ubuntu2) lucid; urgency=low

  * add beagle OMAP3 support

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 13 Apr 2010 13:09:26 +0200

libdebian-installer (0.68ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Nov 2009 17:49:09 -0800

libdebian-installer (0.68) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for Marvell's OpenRD Base and Client.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 25 Sep 2009 19:03:44 +0100

libdebian-installer (0.67) unstable; urgency=low

  [ Aurelien Jarno ]
  * Fix internal_di_exec() in case of a working poll() implementation. 
    This fixes d-i on GNU/kFreeBSD when running on dual-core CPU or 
    more.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 Sep 2009 00:06:07 +0200

libdebian-installer (0.66) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Aurelien Jarno ]
  * Don't use devfs-mapping on non Linux architectures.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Aug 2009 23:58:03 +0200

libdebian-installer (0.65) unstable; urgency=low

  [ Aurelien Jarno ]
  * Teach archdetect about GNU/kFreeBSD.
  * Fix build with recent automake by removing GNU extension usage in 
    doc/Makefile.am.
  * Point to the right GPL version in debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 Aug 2009 17:02:11 +0200

libdebian-installer (0.64) unstable; urgency=low

  [ Colin Watson ]
  * Remove a duplicated line from debian/copyright.

  [ Luca Favatella ]
  * The poll() system call has EOF-related portability issues. Solve them on
    kfreebsd-i386. Thanks to Colin Watson for the "poll() and EOF" URL.

  [ Wouter Verhelst ]
  * Teach archdetect about the Intel SS4000-E

 -- Otavio Salvador <otavio@debian.org>  Sat, 18 Jul 2009 11:06:19 -0300

libdebian-installer (0.63ubuntu2) karmic; urgency=low

  [ Michael Casadevall ]
  * Added Dove SoC subarchitecture (LP: #409238)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Aug 2009 12:26:17 +0100

libdebian-installer (0.63ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Jun 2009 22:29:52 +0100

libdebian-installer (0.63) unstable; urgency=low

  [ Michael Casadevall ]
  * Add subarchitecture imx51 for Freescale iMX51 SoCs (LP: #345534).

  [ Colin Watson ]
  * Fix memory leak in subarch-x86-linux.c:di_system_subarch_analyze.

  [ Christian Perrier ]
  * Remplace obsolete ${Source-Version} by ${binary:Version} in dependencies
    (any->any dependency)
  * Update Standards to 3.8.1 (no change)
  * Include complete copyright for the code by going through the
    package changelog

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jun 2009 14:20:34 +0200

libdebian-installer (0.62ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add subarchitecture imx51 for Freescale iMX51 SoCs.
  * Remove rather silly fwrite _FORTIFY_SOURCE workaround, since Ubuntu's
    glibc no longer requires this.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Apr 2009 12:09:26 +0100

libdebian-installer (0.62) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for Marvell's Kirkwood platform, including devices
    such as the SheevaPlug and QNAP TS-219.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 27 Mar 2009 18:03:49 +0100

libdebian-installer (0.61ubuntu2) jaunty; urgency=low

  [ Michael Casadevall ]
  * Added subarchitecture imx51 for Freescale iMX51 SoCs (LP: #345534).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:54:26 +0000

libdebian-installer (0.61ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Nov 2008 13:41:45 +0000

libdebian-installer (0.61) unstable; urgency=low

  [ Bastian Blank ]
  * Fix off-by-one error in the rfc822 parser (closes: #500378).
  * Remove workarounds for ignored errors.

 -- Frans Pop <fjp@debian.org>  Sat, 27 Sep 2008 18:37:27 +0200

libdebian-installer (0.60) unstable; urgency=low

  [ Colin Watson ]
  * Remove incorrect unused attribute from di_packages_parser_read_name's
    user_data parameter.
  * Appease the combination of _FORTIFY_SOURCE=2 (used by default on Ubuntu)
    and -Werror. Why exactly glibc demands that fwrite be checked but not
    fputs is beyond me.

 -- Otavio Salvador <otavio@debian.org>  Tue, 23 Sep 2008 21:36:38 -0300

libdebian-installer (0.59ubuntu1) intrepid; urgency=low

  * Backport from trunk:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror. Why exactly glibc demands that fwrite be checked
      but not fputs is beyond me.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Sep 2008 13:07:03 +0100

libdebian-installer (0.59) unstable; urgency=low

  * Apply patch to include 'Apple Inc.' as a possible vendor string for a
    Intel's based Mac. Thanks to Julien BLACHE <jblache@debian.org> for
    the patch (closes: #483182).

 -- Otavio Salvador <otavio@debian.org>  Tue, 29 Jul 2008 12:13:29 -0300

libdebian-installer (0.58) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for QNAP TS-409 (orion5x)
  * Add support for HP Media Vault mv2120 (orion5x).
  * Add support for Buffalo Linkstation Pro/Live (orion5x).

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 11 May 2008 09:44:21 +0200

libdebian-installer (0.57) unstable; urgency=low

  [ Frans Pop ]
  * Add support for PA Semi's evaluation systems (closes: #464429).
    Thanks to Olof Johansson for the patch.

  [ Martin Michlmayr ]
  * Rename orion to orion5x to allow for support of other Orion
    platforms in the future.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 22 Mar 2008 18:13:19 +0100

libdebian-installer (0.56) unstable; urgency=low

  [ Bastian Blank ]
  * Return more correct errors fom execution.

  [ Joey Hess ]
  * Fix subarch detection of mips on current versions of qemu. The cpu 
    model is reported as "MIPS 24K", not "MIPS 4K". Left the old value in to
    support old qemu versions.

 -- Joey Hess <joeyh@debian.org>  Thu, 06 Mar 2008 18:18:13 -0500

libdebian-installer (0.55) unstable; urgency=low

  [ Stephen R. Marenka ]
  * archdetect: Add support for m68k/aranym (atari).

  [ Aurelien Jarno ]
  * archdetect: Add support for mips{,el}/{4,5}kc-malta platforms.

  [ Martin Michlmayr ]
  * archdetect: Add support for QNAP TS-109/TS-209.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 05 Feb 2008 11:12:15 -0700

libdebian-installer (0.54) unstable; urgency=low

  [ Frans Pop ]
  * Add Description field to pkg-config files as their absence is making
    'pkg-config --list-all' fail. Closes: #453187.
  * Make Name in pkg-config files a bit more descriptive.

  [ Martin Michlmayr ]
  * Add support for the Orion (ARM) platform.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 29 Nov 2007 09:10:54 +0100

libdebian-installer (0.53) unstable; urgency=low

  * Remove compatibility with ancient dpkg-architecture; build-depend on
    newer dpkg-dev instead.
  * archdetect: Add the powerpc/cell platform.

 -- Colin Watson <cjwatson@debian.org>  Sat, 20 Oct 2007 03:34:24 +0100

libdebian-installer (0.52) unstable; urgency=low

  [ Joey Hess ]
  * Move one more resolver debug message to ENABLE_EXTENSIVE_DEBUG.

  [ Martin Michlmayr ]
  * Match SGI O2 machines with 300MHz RM5200SC (Nevada) CPUs.

  [ Colin Watson ]
  * archdetect: Add the powerpc/ps3 platform.

 -- Frans Pop <fjp@debian.org>  Sat, 30 Jun 2007 08:45:53 +0200

libdebian-installer (0.51) unstable; urgency=low

  * archdetect: Add the i386/mac and amd64/mac platforms, using reduced code
    from dmidecode.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Apr 2007 22:09:41 +0100

libdebian-installer (0.50) unstable; urgency=low

  [ Joey Hess ]
  * Add back subarch-armeb-linux.c, and modify the Makefile to include it,
    so it's used after all.
  * Add support for armel.

 -- Frans Pop <fjp@debian.org>  Thu, 22 Feb 2007 12:11:32 +0100

libdebian-installer (0.49) unstable; urgency=low

  [ Joey Hess ]
  * Remove subarch-armeb-linux.c, which was never used. subarch-arm-linux.c
    is used for all arm variants.

 -- Frans Pop <fjp@debian.org>  Sun, 18 Feb 2007 13:44:15 +0100

libdebian-installer (0.48) unstable; urgency=low

  [ Sven Luther ]
  * Added support for Efika /proc/cpuinfo machine field. Closes: #403293.

 -- Frans Pop <fjp@debian.org>  Tue, 13 Feb 2007 23:24:24 +0100

libdebian-installer (0.47) unstable; urgency=low

  * Fix FTBFS on mips/mipsel.

 -- Thiemo Seufer <ths@debian.org>  Wed, 22 Nov 2006 15:59:38 +0000

libdebian-installer (0.46) unstable; urgency=low

  [ Thiemo Seufer ]
  * archdetect: Add mips/qemu-mips32 and mipsel/qemu-mips32.

  [ Colin Watson ]
  * include/debian-installer/macros.h: Add DI_GNUC_PREREQ macro useful for
    making use of __attribute__ in various places throughout d-i.

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 15:06:29 +0100

libdebian-installer (0.45) unstable; urgency=low

  * archdetect: Add the ARM Versatile platform.
  * archdetect: Return ixp4xx rather than nslu2 on Linksys NSLU2 since
    the NSLU2-specific flavour is no longer needed.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 30 Sep 2006 17:10:13 +0200

libdebian-installer (0.44) unstable; urgency=low

  * archdetect: Add the arm/iop32x platform, listing a number if Intel
    evaluation boards, the Thecus N2100 and N4100 and the GLAN Tank.
  * archdetect: Add the arm/iop33x platform, listing a number if Intel
    evaluation boards.
  * archdetect: Add the arm/ixp4xx platform.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 21 Aug 2006 00:21:24 +0200

libdebian-installer (0.43) unstable; urgency=low

  * Add mapping for I20 hard disks. Patch from Robert Millan
    Closes: #373730
  * Call dh_makeshlibs w/o -n to get postinsts created.
  * Current policy.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jun 2006 14:48:35 -0400

libdebian-installer (0.42) unstable; urgency=low

  [ Bastian Blank ]
  * Bump shared library revision to 6.
  * Add small AVL tree implementation.

  [ Martin Michlmayr ]
  * Remove (incomplete) BAST and LAST support.
  * Drop Riscstation since it's no longer supported in 2.6 kernels.
  * Rename arm/riscpc to arm/rpc for consistency.

  [ Colin Watson ]
  * Fix Hurd detection at build time.

  [ Joey Hess ]
  * Move more resolver debug logging into ENABLE_EXTENSIVE_DEBUG ifdefs.

 -- Bastian Blank <waldi@debian.org>  Wed, 31 May 2006 23:02:10 +0200

libdebian-installer (0.41) unstable; urgency=low

  * --add-udeb only works for one udeb, correct dh_makeshlibs call
    to not generate bad udeb shlibs.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:15:07 -0500

libdebian-installer (0.40) unstable; urgency=low

  [ Martin Michlmayr ]
  * archdetect: Add support for the Broadcom BCM91480B evaluation board
    (aka "BigSur").
  * archdetect: Rename sb1-swarm-bn to sb1-bcm91250a for consistency.
  * archdetect: Remove ARM platforms we don't actually support.
  * archdetect: Remove mips/mipsel platforms we don't actually support.

  [ Joey Hess ]
  * Make libdebian-installer-extra4-udeb depend on
    libdebian-installer-udeb, not the deb.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 17 Mar 2006 22:42:16 +0000

libdebian-installer (0.39) unstable; urgency=low

  * Add udeb lines to shlibs file.
  * Drop libdebian-installer4-udeb's provide of libdebian-installer4
    since it's on the initrd and packages will get a proper dep once
    they're rebuilt against this.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Mar 2006 15:10:49 -0500

libdebian-installer (0.38) unstable; urgency=low

  [ Martin Michlmayr ]
  * Fix synatx error in mipsel file.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 18 Jan 2006 20:11:56 +0000

libdebian-installer (0.37) unstable; urgency=low

  [ Martin Michlmayr ]
  * Define Broadcom BCM947XX for archdetect.
  * Define Linksys NSLU2 for archdetect.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 14 Jan 2006 23:06:14 +0000

libdebian-installer (0.36) unstable; urgency=low

  [ Sven Luther ]
  * No need to list CHRP IBM models explicitly, as this breaks with models we
    don't know about or newer models, which is unnecessary. (Closes: #338045)

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Nov 2005 18:58:35 +0000

libdebian-installer (0.35) unstable; urgency=low

  * Add archdetect support for ADS boards running the 2.6 kernel,
    including the BitsyXb.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Sep 2005 15:07:32 -0400

libdebian-installer (0.34) unstable; urgency=low

  * Collapse all ADS boards into one ads subarch.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Aug 2005 10:10:07 -0400

libdebian-installer (0.33) unstable; urgency=low

  * Add various ADS arm boards to the archdetect list
    (AGX, VGX, GCX, Sphere).

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Aug 2005 09:53:00 -0400

libdebian-installer (0.32) unstable; urgency=low

  * Update GPL notices with the FSF's new address.
  * Use -ggdb instead of -gstabs. The latter doesn't work on ia64.

 -- Colin Watson <cjwatson@debian.org>  Wed,  3 Aug 2005 10:36:54 +0100

libdebian-installer (0.31) unstable; urgency=low

  [ Colin Watson ]
  * When compiling with gcc, perform printf format string checking on the
    arguments to di_snprintfcat.
  * Add di_system_subarch_analyze, moved here from hw-detect.
  * Bump shared library revision to 5.

  [ Joey Hess ]
  * Add loop devices to devfs table. Closes: #320039

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2005 10:08:44 +0100

libdebian-installer (0.30) unstable; urgency=low

  * Bastian Blank
    - Bump shared library revision to 4.
    - Deprecate di_prebaseconfig_append and di_system_prebaseconfig_append.
    - Add di_exec_path(_full) (execvp wrapper).
  * Joey Hess
    - Patch log.c to build under gcc 4.0. Closes: #287384
  * Colin Watson
    - doxygen doesn't work yet on the Hurd, so avoid building documentation
      there.
    - Add myself to Uploaders.
  * Matt Zimmerman
    - Add devfs-mapping support for UML ubd devices (closes: #258176).

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 May 2005 12:49:09 +0100

libdebian-installer (0.29) unstable; urgency=low

  * Joey Hess
    - Re-enable character device mapping. Though it often gets it wrong, the
      cases where it gets it right are used by prebaseconfig.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Jun 2004 12:41:12 -0400

libdebian-installer (0.28) unstable; urgency=low

  * Joey Hess
    - fix devfs.c test mode (to really work)
    - fix /dev/ida support off by one
    - fix /dev/ataraid support, leave off the cN part of device name
    - don't map character devices to block device namesb

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Jun 2004 11:34:03 -0400

libdebian-installer (0.27) unstable; urgency=low

  * Bastian Blank
    - anna dependency resolver stops on already installed packages.
    - Make debugging output a little bit better to read.
    - Make anna dependency resolver permissive again.
    - Add an option to enable extensive debugging output.
    - Fix ABI. (closes: #250299, #253037)
  * Joshua Kwan
    - quote an argument in configure.ac to fix test complaining about no
      LHS for extensive-debug

 -- Bastian Blank <waldi@debian.org>  Mon, 14 Jun 2004 14:23:10 +0200

libdebian-installer (0.23) unstable; urgency=low

  * Bastian Blank
    - Bump revision to 3.
    - Add a special dependency resolver type for anna (checks Kernel-Version
      and Subarchitecture) (unstable interface).
    - Mark the old Kernel-Version resolver as deprecated.
    - Remove backward compatiblity from dependency resolver.
    - Remove two undocumented symbols.
    - Use debhelper udeb support.
    - Add environment support to execution helpers.
    - The size of a hash map is the number of elements, not the size of the
      array.
    - RFC822 parser only allows space and horizontal tab before a value.

 -- Bastian Blank <waldi@debian.org>  Thu, 13 May 2004 17:50:15 +0200

libdebian-installer (0.22) unstable; urgency=low

  * Bastian Blank
    - Fix handling of nonresolvable virtual packages.
    - Fix handling of subarchitecture strings with different length
      (closes: #243692).
  * Joey Hess
    - Add more major numbers for cciss devices.
    - Add support for all of the /dev/ida/ devices. Closes: #243411
    - Add support for /dev/ataraid/ devices.
    - Allow devfs.c to be built as a standalone binary, for simplified
      testing.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Apr 2004 23:13:06 -0400

libdebian-installer (0.21) unstable; urgency=low

  * Bastian Blank
    - Support diskarrays in mapdevfs. (closes: #235617, #239291)
  * Thiemo Seufer
    - Minor code cleanup in the subarchitecture check.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Apr 2004 18:49:56 -0400

libdebian-installer (0.20) unstable; urgency=low

  * Bastian Blank
    - Bump revision to 2.
    - Add conversation functions for parts of a package entry
      (exported interface).
    - Add support for Kernel-Version to Packages parser.
    - Fix dependency resolver marker reset.
    - Split dependency resolver (internal interface).
    - Add two special dependency resolver types for anna (checks
      Kernel-Version) and main-menu (never fails) (unstable interface).
    - Fix Subarchitecture check.
  * Stephen R. Marenka
    - Add scsi cd (scd?) device info to mapdevfs.

 -- Bastian Blank <waldi@debian.org>  Mon, 15 Mar 2004 11:13:17 +0100

libdebian-installer (0.19) unstable; urgency=low

  * Bastian Blank
    - Minimal Packages parser parses Size and Priority.
    - Packages parser uses simpler matches.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 Feb 2004 14:07:18 +0100

libdebian-installer (0.18) unstable; urgency=low

  * Alastair McKinstry
    - Add di_info(), di_debug() logging macros.
  * Bastian Blank
    - Bump revision to 1.
    - Remove mapping of di_log.
    - Add any symbol to the version script.
    - Use size_t in hash map and mem_chunk allocer. (closes: #215448)
    - Improve and install documentation.
    - Add -extra lib.
    - Fix description parsing. (closes: #219902)
    - Remove some references to the chunk allocator.
    - Add version info to installed headers.
    - Default log handler suppress debug messages.
    - Enable support for Subarchitecure.
    - Correctly terminate argv.
  * Petter Reinholdtsen
    - Define PATH_MAX if it is undefined, to get this building on
      GNU/Hurd.  Patch from Santiago Vila. (Closes: #219464)
  * Matt Kraai
    - Prefer a package that is installed to one that isn't when satisfying
      a dependency on a virtual package.

 -- Bastian Blank <waldi@debian.org>  Wed, 21 Jan 2004 17:56:11 +0100

libdebian-installer (0.17) unstable; urgency=low

  * Bastian Blank
    - disable subarch stuff

 -- Bastian Blank <waldi@debian.org>  Fri, 03 Oct 2003 18:07:44 +0200

libdebian-installer (0.16) experimental; urgency=low

  * Bastian Blank
    - rework lib
      - add rfc822 parser
      - add logging
      - add packages file parsing
    - dump major to 4

 -- Bastian Blank <waldi@debian.org>  Thu, 28 Aug 2003 17:46:27 +0200

libdebian-installer (0.15) unstable; urgency=low

  * Bastian Blank
    - Don't log to stderr and close stdin.
    - Never cast malloc return values.
  * Joey Hess
    - added di_status_read and di_config_package

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Jul 2003 13:19:17 +0200

libdebian-installer (0.14) unstable; urgency=low

  * Bastian Blank
    - Add Enhances parsing.
  * Petter Reinholdtsen
    - Add support in di_mapdevfs for SW RAID devices, /dev/md#.
      (Closes: #185574)

 -- Bastian Blank <waldi@debian.org>  Sun, 01 Jun 2003 20:54:45 +0200

libdebian-installer (0.13) unstable; urgency=low

  * Martin Sjögren
    - Add di_mapdevfs function.
    - Change section of libdebian-installer3-dev to libdevel.
    - Add Recommends parsing.
    - Don't log to stderr, it will interfere with frontends.
    - Revert to major/minor/micro. current/revision/age is something
      else.
  * Bastian Blank
    - cleanup di_mapdevfs.
  * Petter Reinholdtsen
    - Add new functin di_logf(), a vararg version of di_log().

 -- Martin Sjogren <sjogren@debian.org>  Sun,  4 May 2003 16:20:20 +0200

libdebian-installer (0.12) unstable; urgency=low

  * Martin Sjögren
    - Build-dep on d-shlib >= 0.10 (Closes: #178073).

 -- Martin Sjogren <sjogren@debian.org>  Fri, 24 Jan 2003 20:24:00 +0100

libdebian-installer (0.11) unstable; urgency=low

  * Martin Sjögren
    - Fix depends/provides parser (Closes: #177061).

 -- Martin Sjogren <sjogren@debian.org>  Fri, 17 Jan 2003 10:49:23 +0100

libdebian-installer (0.10) unstable; urgency=low

  * Martin Sjögren
    - Add di_pkg_alloc and di_pkg_free for memory management of package
      structs.
    - Add di_list_free for freeing an entire linked list.

 -- Martin Sjogren <sjogren@debian.org>  Sun, 29 Dec 2002 17:11:57 +0100

libdebian-installer (0.09) unstable; urgency=low

  * Martin Sjögren
    - Add di_pkg_toposort_{list,arr} to be used by anna and main-menu.

 -- Martin Sjogren <sjogren@debian.org>  Sat,  7 Dec 2002 12:14:08 +0100

libdebian-installer (0.08) unstable; urgency=low

  * Martin Sjögren
    - Fix di_pkg_is_installed, now it even works!

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  5 Dec 2002 00:45:28 +0100

libdebian-installer (0.07) unstable; urgency=low

  * Martin Sjögren
    - Add a linked list data structure, decoupling next pointers from the
      node data
    - Add a package_dependency struct that has package name and a pointer
      to a package_t struct
    - Add functions di_pkg_find, di_pkg_provides, di_pkg_is_virtual,
      di_pkg_is_installed and di_pkg_resolve_deps
    - Change maintainer to debian-boot and set dwhedon, tfheen and sjogren as
      uploaders
    - Bump standards-version and fix copyright file so lintian shuts up

 -- Martin Sjogren <sjogren@debian.org>  Fri, 29 Nov 2002 16:36:45 +0100

libdebian-installer (0.06) unstable; urgency=low

  * Martin Sjögren
    - Multiple provides
    - Remove libd-i-pic
    - Priority parsing
    - Version number parsing and comparison

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  6 Nov 2002 01:46:42 +0100

libdebian-installer (0.05) unstable; urgency=low

  * change an fprintf to vfprintf.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 24 Oct 2002 12:34:26 +0200

libdebian-installer (0.04) unstable; urgency=low

  * Fix up section according to override file.
  * Build "proper" library packages.
  David Kimdon
    - add di_prebaseconfig_append()
    - change my name (s/Whedon/Kimdon/g)
  Junichi Uekawa
    - require d-shlibs 0.3 or greater for build
    - -dev: add devlibs:Depends, require libdebian-installer ${Source-Version}
    - -pic: depend on exact version of -dev to avoid nasty surprises
  Martin Sjögren
    - Add 'Packages' file parsing functionality (di_pkg_parse).
    - Case insensitive strstr (di_stristr).
  Michael Cardenas
    - fix install target so it can be ran more than once

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  6 Aug 2002 16:03:45 +0200

libdebian-installer (0.03) unstable; urgency=low

  * Fix up postinst name.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  6 Aug 2002 15:13:39 +0200

libdebian-installer (0.02) unstable; urgency=low

  * New name, which will hopefully be accepted by ftp-master.
  * Removed emacs cruft from changelog.
  * Add di_snprintfcat, courtesy of thomas poindessous

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 20 May 2002 23:21:24 +0200

libd-i (0.01) unstable; urgency=low

  * Initial Release.

 -- David Whedon <dwhedon@debian.org>  Thu,  8 Feb 2001 21:54:45 -0800
